aboutsummaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorNikolaus Rath <Nikolaus@rath.org>2017-09-20 14:24:22 +0100
committerNikolaus Rath <Nikolaus@rath.org>2017-09-20 14:43:34 +0100
commit949d76d1a2c508f034f23c36d34400204698d952 (patch)
tree99da720dc64f6341c05c7439a2301ee721771e4c /utils
parent848ff30d9074371fecc332e67848375700189d05 (diff)
downloadsshfs-949d76d1a2c508f034f23c36d34400204698d952.tar
sshfs-949d76d1a2c508f034f23c36d34400204698d952.tar.gz
sshfs-949d76d1a2c508f034f23c36d34400204698d952.tar.bz2
sshfs-949d76d1a2c508f034f23c36d34400204698d952.zip
Add support for mounting from /etc/fstab
Fixes: #92.
Diffstat (limited to 'utils')
-rwxr-xr-xutils/install_helper.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/utils/install_helper.sh b/utils/install_helper.sh
new file mode 100755
index 0000000..c62686c
--- /dev/null
+++ b/utils/install_helper.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# Don't call this script. It is used internally by the Meson
+# build system. Thank you for your cooperation.
+#
+
+set -e
+
+bindir="$2"
+sbindir="$1"
+prefix="${MESON_INSTALL_DESTDIR_PREFIX}"
+
+mkdir -p "${prefix}/${sbindir}"
+
+ln -svf --relative "${prefix}/${bindir}/sshfs" \
+ "${prefix}/${sbindir}/mount.sshfs"
+
+ln -svf --relative "${prefix}/${bindir}/sshfs" \
+ "${prefix}/${sbindir}/mount.fuse.sshfs"